<script setup lang="ts">
import { computed, ref, onMounted } from 'vue'
const percent = ref(0)
const radius = ref(20)
const dashArray = computed(() => 2 * (22 / 7) * radius.value)
const dashOffset = computed(() => (1 - percent.value) * dashArray.value)
const color = '#ff0000'
onMounted(() => {
  setTimeout(() => {
    percent.value = 0.68;
  }, 2000)
})
</script>

<template>
  <div class="progressIndicator">
    <div class="progress">
      <svg viewBox="0 0 50 50">
        <defs>
          <linearGradient
            id="linear"
            gradientUnits="userSpaceOnUse"
            x1="100%"
            y1="100%"
            x2="0%"
            y2="100%"
          >
            <stop stop-color="#B4D7E8" offset="0" />
            <stop stop-color="#61B057" offset="1" />
          </linearGradient>
        </defs>
        <circle cx="25" cy="25" :r="radius" style="background: #000; opacity: 0.1;" />
        <circle
          cx="25"
          cy="25"
          :r="radius"
          stroke-linecap="round"
          :style="{
            stroke: 'url(#linear)',
            'stroke-dasharray': dashArray,
            'stroke-dashoffset': dashOffset,
          }"
        />
      </svg>
      <span class="number">{{ Math.round(percent * 100) }}%</span>
    </div>
    <div>
      <h1 class="text-center text-6 tracking-tight text-gray-900 px-5 mt-4">Complete appointments</h1>
    </div>
  </div>
</template>
